
GammaLib - Change request #1782

Get rid of m_value_dtype member in GFitsHeaderCard

05/31/2016 12:46 PM - Knödlseder Jürgen

Status: New Start date: 05/31/2016

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The code analysis signals a memory leak in GFitsHeaderCard that could be related to the memory management of the

m_value_dtype data member. The code should be restructured to avoid the need for using a void pointer to the data type that is

actually used for header keyword storing.

History

#1 - 06/21/2016 09:58 PM - Knödlseder Jürgen

- Target version set to 1.2.0

#2 - 03/03/2017 10:28 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#3 - 06/06/2017 04:20 PM - Knödlseder Jürgen

- Target version deleted (1.3.0)
